<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
echo $quicksearch->searchBox(array('Author'));
?>
<div class="pages_count"><?=$paginator->counter(array('format' => __('Page %page% of %pages% (%count% results)', true)))?></div>

<div class="sorter"><?php echo $paginator->sort(__('Sort by name (ascending/descending)', true), 'name');?></div>

<div class="clearer"></div>

<?php

$lastStart = '';
eval($paginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));
$num = 0;

?>
<div class="threecol">
<?php
foreach($authors as $author) {
	$author = $author['Author'];
	
	$first = mb_strtoupper(mb_substr($author['name'], 0, 1, 'utf-8'));
	if ($num != 0 && $num%$perColumn == 0 && $num<$max-1) {
		echo "\t</ul>\n</div>\n<div class=\"threecol\">\n";
		if ($lastStart == $first) // Only if we continue previous columb
			echo "\t<ul>\n";
	}
	
	if ($lastStart != $first) {
		if ($num%$perColumn != 0) // On first element in column
			echo "\t</ul>\n";

		$lastStart = $first;
			echo "\t<h2>$lastStart</h2>\n\t<ul>\n";
	}
	
	echo "\t\t<li>".$html->link($author['meta_name'],
		'/authors/view/'.$author['id'])."</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_navigation">
	<?=$paginator->prev()?> <?=$paginator->numbers()?> <?=$paginator->next()?>
</div>
