<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
if (empty($loans)) {
	echo '<p>',__('No loans to show', true),'</p>';
	return;
}
?>
<p>
<?php
$borrowerUrlPart = $fromBorrower?"borrower:$fromBorrower":'';
if ($showingAll)
	echo $html->link(__('See current loans only', true), '/borrowers/index/onlyCurrent:true'.$borrowerUrlPart);
else
	echo $html->link(__('Include past loans', true), '/borrowers/index/onlyCurrent:false'.$borrowerUrlPart);
?>
.</p>

<form action="<?=Router::url('/borrowers/getBack')?>" method="post">
<ul id="lend_list">

<?php
foreach($loans as &$loan) {
	$number = (empty($loan['Album']['cycle'])?'':($loan['Album']['cycle'].'.')).$loan['Album']['number'];
	$title = "<a href=\"".Router::url('/series/view/'.$loan['Album']['Series']['id'])."\">{$loan['Album']['Series']['name']}</a> - $number - <a href=\"".Router::url('/albums/view/'.$loan['Album']['id'])."\">{$loan['Album']['title']}</a>";
	
	$hide = '';
	if (empty($loan['AlbumsBorrower']['return_date']))
		$text = __s('%s: lended to %s since %s',
			$title,
			'<a href="'.Router::url('/borrowers/view/'.$loan['Borrower']['id']).'">'.$loan['Borrower']['meta_name'].'</a>',
			__date($loan['AlbumsBorrower']['borrow_date']));
	else {
		$text = __s('%s: lended to %s from %s to %s',
			$title,
			'<a href="'.Router::url('/borrowers/view/'.$loan['Borrower']['id']).'">'.$loan['Borrower']['meta_name'].'</a>',
			__date($loan['AlbumsBorrower']['borrow_date']),
			__date($loan['AlbumsBorrower']['return_date']));
		$hide = 'style="visibility: hidden" disabled="disabled"';
	}
	?>
	<li><input type="checkbox" name="data[Album][<?=$loan['Album']['id']?>]" id="album<?=$loan['Album']['id']?>" <?=$hide?> /><label for="album<?=$loan['Album']['id']?>"><?=$text?></label></li>
	<?php
}
?>

</ul>
<div class="buttons"><input type="submit" value="<?php __('Get these albums back'); ?>" /></div>
</form>

<?php if ($doPaginate) { ?>
<div class="pages_navigation">
	<?=$paginator->prev()?> <?=$paginator->numbers(array('model' => 'Borrower'))?> <?=$paginator->next()?>
</div>
<?php } ?>