<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
echo $quicksearch->searchBox(array('Publisher', 'Collection'));
?>

<?php
if (empty($collections)) {
	echo '<div class="info">'.__('No collections to show', true).'</div>';
	return;
}
?>

<div class="pages_count"><?=$paginator->counter(array('format' => __('Page %page% of %pages% (%count% results)', true)))?></div>

<ul>
<?php
$pubID = -1;
$hadCollections = false;
$first = true;
foreach ($collections as $collection) {
	if ($pubID != $collection['Publisher']['id']) {
		if ($hadCollections) {
			echo "</ul>";
			$hadCollections = false;
		}
		if (!$first)
			echo "</li>";
		$pubID = $collection['Publisher']['id'];
		echo "\n\t<li>".$html->link($collection['Publisher']['name'], '/publishers/view/'.$collection['Publisher']['id']);
	} else {
		if (!$hadCollections) {
			$hadCollections = true;
			echo "<ul>\n\t";
		}
		echo "\t<li>".$html->link($collection['Collection']['name'], '/collections/view/'.$collection['Collection']['id'])."</li>\n\t";
	}
	
	$first = false;
}
if ($hadCollections)
	echo "</ul>";
?>
</li>
</ul>

<div class="pages_navigation">
	<?=$paginator->prev()?> <?=$paginator->numbers()?> <?=$paginator->next()?>
</div>
