<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$menu->makeQuickMenu(__('Quick menu', true), 'quickmenu',
	array(
		array('title' => __('Edit this type', true),
			'url' => '/derivative_types/edit/'.$type['id']
			),
		array('title' => __('Delete this type', true),
			'url' => '/derivative_types/delete/'.$type['id'],
			'confirm' => __('Are you sure you want to delete this type?', true)
			)
	)
);
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?=$type['name']?></td></tr>
	
	<?php if (!empty($type['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?=$html->link(__s('View %d derivatives of this type', $type['derivative_count']), '/derivatives/index/fromType:'.$type['id'])?></td></tr>
	<?php endif; ?>
</table>
