<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>
		<?php echo $title_for_layout;?> - Demyo
	</title>

	<?php echo $html->charset();?>

	<link rel="icon" href="<?php echo $this->webroot;?>favicon.ico" type="image/x-icon" />
	<link rel="shortcut icon" href="<?php echo $this->webroot;?>favicon.ico" type="image/x-icon" />
	<!--<?php echo $html->css('cake.generic');?>-->
	<?php echo $html->css('demyo');?>
	<?php echo $html->css('date_input');?>
	<?php echo $html->css('shadowbox-light');?>
	<?php echo $scripts_for_layout;?>
</head>
<body>
	<div id="container">
		<div id="header">
			Demyo comics manager
		</div>
		<ul id="menu">
			<li><?=$html->link(__('Tasks', true), '/')?></li>
			<!--<li><?=$html->link('Library', '/library')?></li>-->
			<li><?=$html->link(__('Series', true), '/series')?></li>
			<li><?=$html->link(__('Albums', true), '/albums')?></li>
			<li><?=$html->link(__('Authors', true), '/authors')?></li>
			<!--<li><?=$html->link('Bindings', '/bindings')?></li>-->
			<li><?=$html->link(__('Publishers', true), '/publishers')?></li>
			<!--<li><?=$html->link('Collections', '/collections')?></li>
			<li><?=$html->link('Tags', '/tags')?></li>-->
		</ul>
		<div id="content">
			<?php
				if ($session->check('Message.flash')):
						$session->flash();
				endif;
			?>

			<?php echo $content_for_layout;?>

		</div>
		<div id="footer">
			<?=sprintf(__('Demyo %s running on CakePHP %s.', true), Configure::read('Demyo.versionAsString'), Configure::version())?>
			<?php echo $html->link(
							$html->image('cake.power.gif', array('alt'=> __("CakePHP: the rapid development php framework", true))),
							'http://www.cakephp.org/', array(), false, false
						);
			?>
		</div>
	</div>
	<?php echo $cakeDebug?>
</body>
</html>
