<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

/* Allow multiple redirects from a flash page, the first one being the default */
if (is_array($url)) {
	if (! is_array($message) || count($url) != count($message)) {
		trigger_error('Inconsistent url and messages for flash');
	}
	
	$urls = $url;
	$url = $url[0];
	$messages = $message;
	$message = $message[0];
} else {
	$urls = array($url);
	$messages = array($message);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $page_title; ?></title>
<?php echo $html->charset(); ?>

<?php if (Configure::read() == 0) { ?>
<meta http-equiv="Refresh" content="<?php echo $pause; ?>;url=<?php echo $url; ?>"/>
<?php } ?>
<?php echo $html->css('demyo');?>
<style><!--
html, body {
	background-color: white;
}
body {
	padding: 2em 10% 2em 10%;
}
div.info {
	font:bold 1.2em sans-serif;
	text-align: center;
	display: table;
	margin: auto;
}
--></style>
</head>
<body>
<?php
$max = count($url);
for ($i = 0; $i < $max; $i++) {
?>
<div class="info"><a href="<?php echo $urls[$i]; ?>"><?php echo $messages[$i]; ?></a></div>
<?php } ?>
</body>
</html>