<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
function dlHeaders($name) {
	header('Content-Description: File Transfer');
	header('Content-Disposition: attachment; filename='.$name);
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Pragma: public');
}
if (isset($mimetype)) {
	if ($mimetype == 'application/zip') {
		header('Content-type: '.$mimetype);
		dlHeaders($zipName);
		header('Content-Length: '.filesize($zipFile));
		// Turn off buffering, memory would blow up
		ob_end_flush();
		readfile($zipFile, false);
		unlink($zipFile);
		exit();
	}
	
	else if ($mimetype == 'application/xml') {
		// Force dowload and not viewing
		header('Content-type: application/octet-stream');
		dlHeaders('demyo.xml');
		echo $output;
	}
	
	else
		echo $output;


} else {
?>
<form action="<?=Router::url('/library/export')?>" method="post" id="exporter">
	<fieldset>
	<legend><?php __('Export the library') ?></legend>
	<?php __('Export type')?>
	<select name="method">
		<option value="xml" selected="selected">XML</option>
		<option value="xml+xsl">XML + XSL</option>
	</select><br />
	<input type="checkbox" name="withResources" id="withResources" /><label for="withResources"><?php __('Include resources') ?></label><br />
	<div class="buttons"><input type="submit" value="<?php __('Export')?>" /></div>
	</fieldset>
</form>
<?php } ?>