<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
echo $quicksearch->searchBox(array('Series', 'Album'));
?>
<div class="pages_count"><?=$paginator->counter(array('format' => __('Page %page% of %pages% (%count% results)', true)))?></div>

<div class="sorter"><?php echo $paginator->sort(__('Sort by name (ascending/descending)', true), 'name');?></div>

<div class="clearer"></div>

<?php
$lastStart = '';
eval($paginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));
$num = 0;

?>
<div class="threecol">
<?php
// iconv/mbstring apparently give no easy way to do this
function unAccent($char) {
	switch ($char) {
		case 'A':
		case 'Á':case 'á':
		case 'À':case 'à':
		case 'Â':case 'â':
		case 'Ä':case 'ä':
			return 'A';
		case 'E':
		case 'É':case 'é':
		case 'È':case 'è':
		case 'Ê':case 'ê':
		case 'Ë':case 'ë':
			return 'E';
		case 'I':
		case 'Í':case 'í':
		case 'Ì':case 'ì':
		case 'Î':case 'î':
		case 'Ï':case 'ï':
			return 'I';
		case 'Ñ':case 'ñ':
			return 'N';
		case 'U':
		case 'Ú':case 'ú':
		case 'Ù':case 'ù':
		case 'Û':case 'û':
		case 'Ü':case 'ü':
			return 'U';
		default:
			return $char;
	}
}

foreach($series as $item) {
	$item = $item['Series'];
	
	if ($num != 0 && $num%$perColumn == 0 && $num<$max-1)
		echo "\t</ul>\n</div>\n<div class=\"threecol\">\n\t<ul>\n";
	
	$first = unAccent(mb_strtoupper(mb_substr($item['name'], 0, 1, 'utf-8')));
	if (ctype_digit($first)) // Hack title for numbers
		$first = '0-9';
	if ($lastStart != $first) {
		if ($num > 0) // The first time, we shouldn't close anything
			echo "\t</ul>\n";

		$lastStart = $first;
			echo "\t<h2>$lastStart</h2>\n\t<ul>\n";
	}
	
	if ($item['completed'])
		echo "\t\t<li class=\"completedSeries\">";
	else
		echo "\t\t<li class=\"runningSeries\">";
	echo $html->link($item['name'],
		'/series/view/'.$item['id'])."</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_navigation">
	<?=$paginator->prev()?> <?=$paginator->numbers()?> <?=$paginator->next()?>
</div>
