<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$menu->makeQuickMenu(__('Quick menu', true), 'quickmenu',
	array(
		array('title' => __('Rename this tag', true),
			'url' => '/tags/edit/'.$tag['Tag']['id']
			),
		array('title' => __('Delete this tag', true),
			'url' => '/tags/delete/'.$tag['Tag']['id'],
			'confirm' => __('Are you sure you want to delete this series?', true)
			)
	)
);
?>

<h2><?=$tag['Tag']['name']?></h2>

<?php
if (sizeof($tag['Album']) == 0) {
	echo '<p>'.__s('No albums tagged with %s', $tag['Tag']['name']).'</p>';
	return;
}

echo $list->seriesAlbumShortList($tag['Album']);

if (sizeof($tag['Album']) > Configure::read('Demyo.View_tagsFoldingAlbumCount')) // Only start to hide things when there are too many records
	echo $list->seriesAlbumShortListJSEnabler()
?>
