<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
echo $quicksearch->searchBox(array('Series', 'Album'));
?>
<div class="pages_count"><?=$paginator->counter(array('format' => __('Page %page% of %pages% (%count% results)', true)))?></div>

<!-- TODO: broken as of CakePHP 1.2.0.6311 -->
<!--<div class="sorter"><?php echo $paginator->sort(__('Sort by name (ascending/descending)', true), 'Series.name');?></div>-->

<?php

// Internet explorer < 7 will have trouble displaying li:hover and I found no
// Javascript solution that was as neat
if (isset($_SERVER['HTTP_USER_AGENT'])
		&& (preg_match("/MSIE [0-6]/", $_SERVER['HTTP_USER_AGENT']))) {
	$jQuery->warning(__('Versions of Internet Explorer prior to Internet '
		.'Explorer 7 suffer from bugs that may prevent them from rendering all '
		.'features properly. Consider upgrading to another browser (such as Firefox).', true));
	// TODO make a workaround using jQuery
}

$lastSeriesID = '';
$first = true;
eval($paginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));

foreach($albums as $album) {
	if ($lastSeriesID != $album['Album']['series_id']) {
		if (!$first)
			echo "\t</ul>\n";
		echo "\t<h2>{$album['Series']['name']}</h2>\n\t<ul class=\"album_list\">\n";
		$lastSeriesID = $album['Album']['series_id'];
		$first = false;
	}
	
	// Build popup
	$popupContent =
		"<h3>{$album['Series']['name']} - {$album['Album']['title']}</h3>"
		. '<dl>'
		. "<dt>Publisher</dt><dd>{$album['Publisher']['name']}";
		if (!empty($album['Album']['collection_id']))
			$popupContent .= " ({$album['Collection']['name']})";
		$popupContent .= '</dd>';
		if (!empty($album['Artist']))
			$popupContent .= '<dt>Artists</dt><dd>'.$list->CSVList($album['Artist'], array('meta_name')).'</dd>';
		if (!empty($album['Writer']))
			$popupContent .= '<dt>Writers</dt><dd>'.$list->CSVList($album['Writer'], array('meta_name')).'</dd>';
		if (!empty($album['Colorist']))
			$popupContent .= '<dt>Colorists</dt><dd>'.$list->CSVList($album['Colorist'], array('meta_name')).'</dd>';
		$popupContent .= '</dl>';
	
	echo "\t\t<li>"
	.$html->link($album['Album']['title'], '/albums/view/'.$album['Album']['id'])
	. "<div>$popupContent</div>"
	. "</li>\n";
}
?>
</ul>

<div class="pages_navigation">
	<?php $paginator->options(array('url' => $this->params['pass'])); ?>
	<?=$paginator->prev()?> <?=$paginator->numbers()?> <?=$paginator->next()?>
</div>
