<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
if (empty($sources)) {
	echo '<div class="info">'.__('No sources to show', true).'</div>';
	return;
}
?>

<ul class="sources_list">
<?php
foreach ($sources as $source) {
	$details = empty($source['Source']['address'])?'':('<p>'.nl2br($source['Source']['address'].'</p>'))
		.(empty($source['Source']['phone_number'])?'':('<p>'.nl2br($source['Source']['phone_number'].'</p>')));
	
	echo "\t<li>",$html->link($source['Source']['name'], '/sources/view/'.$source['Source']['id'])
		,$details
		,"</li>\n";
}
?>
</ul>

<div class="pages_navigation">
	<?=$paginator->prev()?> <?=$paginator->numbers()?> <?=$paginator->next()?>
</div>
